#!/usr/bin/env node

const axios = require('axios')
const prompt = require('prompt')
const fs = require('fs')

const url = 'https://keep-api.now.sh/init'

prompt.get('email', function(err, { email }) {
  axios
    .post(url, { email })
    .then(response => append(response.data))
    .catch(error => console.log(error.message))
})

const append = ({ appId, secret }) => {
  const exists = fs.existsSync('.env')
  let content = ''
  if (exists) content = fs.readFileSync('.env')
  content += `
KEEP_APP_ID=${appId}
KEEP_APP_TOKEN=${secret}
`
  fs.writeFileSync('.env', content)
  console.log('secrets written to .env')
}
